
Redmine - Defect #19227

Users.xml broken

2015-03-01 12:37 - Jens Peter Kempkes

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.6.0

Description

I put a request on users.xml.

User that logged in for the last time on redmine 2.1 get a xml-well-formated last_log_in timestamp. the users who logged in with

redmine  2.6.0.stable (we recently upgraded) get a broken one.

Example of https://server/redmine/users.xml

<users total_count="34" offset="0" limit="25" type="array">

<user>

    <id>109</id>

    <login>some_forgotten_user</login>

    <firstname>Name</firstname>

    <lastname>Name</lastname>

    <mail>emailaddress</mail>

    <created_on>2013-06-18T09:16:21Z</created_on>      

    <last_login_on>2014-08-25T12:34:48Z</last_login_on>

</user>

<user>

<id>155</id>

    <login>a newly used user</login>

    <firstname>Name</firstname>

    <lastname>Name</lastname>

    <mail>emailaddres</mail>

    <created_on>2014-09-01 09:21:59 UTC</created_on>

    <last_login_on>2015-02-27 09:51:50 UTC</last_login_on>

</user>

 User ID 155, last_login_on seems not to be xml well-formated. User 109 who did not log in since we applied the upgrade is still ok.

What's wrong?

Related issues:

Is duplicate of Redmine - Defect #19065: API: issue details created_on timest... Closed

History

#1 - 2015-03-01 12:46 - Toshi MARUYAMA

- Status changed from New to Needs feedback

I think it is fixed by #19065.

#2 - 2015-03-01 13:07 - Jens Peter Kempkes

Wow. Superspeed Feedback.

Sorry. couldn't find this issue by the keywords I searched for.

#3 - 2015-03-07 08:50 - Jean-Philippe Lang

- Status changed from Needs feedback to Closed
- Resolution set to Duplicate

Yes, this is fixed in 2.6.2.

#4 - 2015-03-07 08:56 - Toshi MARUYAMA

- Is duplicate of Defect #19065: API: issue details created_on timestamp not formatted as expected added
